Tirex::Manager::Test(3pm)

NAME
Tirex::Manager::Test - Dummy rendering manager for testing

SYNOPSIS
 use Tirex::Manager::Test;

 my $queue = Tirex::Queue->new();
 my $rm = Tirex::Manager::Test->new( queue => $queue );

 $rm->set_load(1.5);
 print $rm->get_load();

 $rm->schedule();

DESCRIPTION
This is a dummy version of the Tirex::Manager rendering manager class for testing. It is a child class of the normal Tirex::Manager class and behaves just like it except that you can set the "system load" with set_load() and this load is returned by the get_load() method. This way the system load can be simulated in tests.

This class also has a dummy version of the send() method that doesn't actually send the message.

METHODS

  $rm->get_load()
Get the load that was set with set_load().

  $rm->set_load($load)
Set the load.

  $rm->send($job)
Simulate sending a job to the rendering daemon.

SEE ALSO
Tirex::Manager